<!-- Header -->
<div id="top" align="center">
  <br />
  
  <!-- Logo -->
  <img src="https://git.zakscode.com/repo-avatars/ff3dc79d3d4c32867dad830d856fb9a7f6abd6f3527837e3d697683e16b314c2" alt="Logo" width="200" height="200">

  <!-- Title -->
  ### Cell
  
  <!-- Description -->
  Program your own "cell"

  <!-- Repo badges -->
  [![Version](https://img.shields.io/badge/dynamic/json.svg?label=Version&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/ztimson/cell/tags&query=$[0].name)](https://git.zakscode.com/ztimson/cell/tags)
  [![Pull Requests](https://img.shields.io/badge/dynamic/json.svg?label=Pull%20Requests&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/ztimson/cell&query=open_pr_counter)](https://git.zakscode.com/ztimson/cell/pulls)
  [![Issues](https://img.shields.io/badge/dynamic/json.svg?label=Issues&style=for-the-badge&url=https://git.zakscode.com/api/v1/repos/ztimson/cell&query=open_issues_count)](https://git.zakscode.com/ztimson/cell/issues)

  <!-- Links -->
  ---
  <div>
    <a href="https://git.zakscode.com/ztimson/cell/releases" target="_blank">Release Notes</a>
    • <a href="https://git.zakscode.com/ztimson/cell/issues/new?template=.github%2fissue_template%2fbug.md" target="_blank">Report a Bug</a>
    • <a href="https://git.zakscode.com/ztimson/cell/issues/new?template=.github%2fissue_template%2fenhancement.md" target="_blank">Request a Feature</a>
  </div>

  ---
</div>

## Table of Contents
- [Cell](#top)
  - [About](#about)
    - [Built With](#built-with)
  - [Setup](#setup)
    - [Development](#development)
  - [License](#license)

## About

<img alt="Screenshot" src="./docs/Screenshot%202023-08-14%20164737.png" width="75%" height="auto">

Cell is an experimental game concept. It's goal is to create a fun programming game themed around microscopic cells & their evolution.

Players have access to an API in _Javascript_ to program a cell to consume other cells & survive a hostile environment. As the user progresses they will gain access to more of the API allowing their cells to become more complex.

The game is built using the _p5.js_ to render simple game objects.

### Built With
[![JavaScript](https://img.shields.io/badge/JavaScript-000000?style=for-the-badge&logo=javascript)](https://javascript.com/)
[![Node](https://img.shields.io/badge/Node.js-000000?style=for-the-badge&logo=nodedotjs)](https://nodejs.org/)
[![p5.js](https://img.shields.io/badge/p5.js-ed225d?style=for-the-badge&logo=p5dotjs&logoColor=white)](https://p5js.org/)
[![TypeScript](https://img.shields.io/badge/TypeScript-3178C6?style=for-the-badge&logo=typescript&logoColor=white)](https://typescriptlang.org/)

## Setup

<details>
<summary>
  <h3 id="development" style="display: inline">
    Development
  </h3>
</summary>

#### Prerequisites
- [Node.js](https://nodejs.org/en/download)

#### Instructions
1. Install the dependencies: `npm install`
2. Start the Angular server: `npm run start`
3. Open [http://localhost:4200](http://localhost:4200)

</details>

## License
Copyright © 2023 Zakary Timson | All Rights Reserved

See the [license](./LICENSE) for more information.
